package com.chenyang.nse.bussiness.entity.orm.table.core.masking;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_MASKING_FILESYSTEM"
)
public class TCoreMaskingFilesystem extends TBaseEntity {
   private String taskid;
   private String structureid;
   private String mappingkey;
   private String datadirection;
   private String directory;
   private String wildcard;
   private String location;
   private String ftpid;
   private String istodatabase;
   private String datasystemid;
   private String dbschema;
   private String columnformat;
   private String sourcefilecode;
   private String extension;

   public String getExtension() {
      return this.extension;
   }

   public void setExtension(String extension) {
      this.extension = extension;
   }

   public TCoreMaskingFilesystem() {
   }

   public TCoreMaskingFilesystem(String taskid, String structureid, String mappingkey, String datadirection, String directory, String wildcard, String location, String ftpid, String istodatabase, String datasystemid, String dbschema, String columnformat) {
      this.taskid = taskid;
      this.structureid = structureid;
      this.mappingkey = mappingkey;
      this.datadirection = datadirection;
      this.directory = directory;
      this.wildcard = wildcard;
      this.location = location;
      this.ftpid = ftpid;
      this.istodatabase = istodatabase;
      this.datasystemid = datasystemid;
      this.dbschema = dbschema;
      this.columnformat = columnformat;
   }

   public String getTaskid() {
      return this.taskid;
   }

   public void setTaskid(String taskid) {
      this.taskid = taskid;
   }

   public String getStructureid() {
      return this.structureid;
   }

   public void setStructureid(String structureid) {
      this.structureid = structureid;
   }

   public String getMappingkey() {
      return this.mappingkey;
   }

   public void setMappingkey(String mappingkey) {
      this.mappingkey = mappingkey;
   }

   public String getDatadirection() {
      return this.datadirection;
   }

   public void setDatadirection(String datadirection) {
      this.datadirection = datadirection;
   }

   public String getDirectory() {
      return this.directory;
   }

   public void setDirectory(String directory) {
      this.directory = directory;
   }

   public String getWildcard() {
      return this.wildcard;
   }

   public void setWildcard(String wildcard) {
      this.wildcard = wildcard;
   }

   public String getLocation() {
      return this.location;
   }

   public void setLocation(String location) {
      this.location = location;
   }

   public String getFtpid() {
      return this.ftpid;
   }

   public void setFtpid(String ftpid) {
      this.ftpid = ftpid;
   }

   public String getIstodatabase() {
      return this.istodatabase;
   }

   public void setIstodatabase(String istodatabase) {
      this.istodatabase = istodatabase;
   }

   public String getDatasystemid() {
      return this.datasystemid;
   }

   public void setDatasystemid(String datasystemid) {
      this.datasystemid = datasystemid;
   }

   public String getDbschema() {
      return this.dbschema;
   }

   public void setDbschema(String dbschema) {
      this.dbschema = dbschema;
   }

   public String getColumnformat() {
      return this.columnformat;
   }

   public void setColumnformat(String columnformat) {
      this.columnformat = columnformat;
   }

   public String getSourcefilecode() {
      return this.sourcefilecode;
   }

   public void setSourcefilecode(String sourcefilecode) {
      this.sourcefilecode = sourcefilecode;
   }

   public String toString() {
      return "TCoreMaskingFilesystem [taskid=" + this.taskid + ", structureid=" + this.structureid + ", mappingkey=" + this.mappingkey + ", datadirection=" + this.datadirection + ", directory=" + this.directory + ", wildcard=" + this.wildcard + ", location=" + this.location + ", ftpid=" + this.ftpid + ", istodatabase=" + this.istodatabase + ", datasystemid=" + this.datasystemid + ", dbschema=" + this.dbschema + ", columnformat=" + this.columnformat + "]";
   }

   public int hashCode() {
      int prime = 31;
      int result = 1;
      result = 31 * result + (this.columnformat == null ? 0 : this.columnformat.hashCode());
      result = 31 * result + (this.datadirection == null ? 0 : this.datadirection.hashCode());
      result = 31 * result + (this.datasystemid == null ? 0 : this.datasystemid.hashCode());
      result = 31 * result + (this.dbschema == null ? 0 : this.dbschema.hashCode());
      result = 31 * result + (this.directory == null ? 0 : this.directory.hashCode());
      result = 31 * result + (this.ftpid == null ? 0 : this.ftpid.hashCode());
      result = 31 * result + (this.istodatabase == null ? 0 : this.istodatabase.hashCode());
      result = 31 * result + (this.location == null ? 0 : this.location.hashCode());
      result = 31 * result + (this.mappingkey == null ? 0 : this.mappingkey.hashCode());
      result = 31 * result + (this.structureid == null ? 0 : this.structureid.hashCode());
      result = 31 * result + (this.taskid == null ? 0 : this.taskid.hashCode());
      result = 31 * result + (this.wildcard == null ? 0 : this.wildcard.hashCode());
      return result;
   }

   public boolean equals(Object obj) {
      if (this == obj) {
         return true;
      } else if (obj == null) {
         return false;
      } else if (this.getClass() != obj.getClass()) {
         return false;
      } else {
         TCoreMaskingFilesystem other = (TCoreMaskingFilesystem)obj;
         if (this.columnformat == null) {
            if (other.columnformat != null) {
               return false;
            }
         } else if (!this.columnformat.equals(other.columnformat)) {
            return false;
         }

         if (this.datadirection == null) {
            if (other.datadirection != null) {
               return false;
            }
         } else if (!this.datadirection.equals(other.datadirection)) {
            return false;
         }

         if (this.datasystemid == null) {
            if (other.datasystemid != null) {
               return false;
            }
         } else if (!this.datasystemid.equals(other.datasystemid)) {
            return false;
         }

         if (this.dbschema == null) {
            if (other.dbschema != null) {
               return false;
            }
         } else if (!this.dbschema.equals(other.dbschema)) {
            return false;
         }

         if (this.directory == null) {
            if (other.directory != null) {
               return false;
            }
         } else if (!this.directory.equals(other.directory)) {
            return false;
         }

         if (this.ftpid == null) {
            if (other.ftpid != null) {
               return false;
            }
         } else if (!this.ftpid.equals(other.ftpid)) {
            return false;
         }

         if (this.istodatabase == null) {
            if (other.istodatabase != null) {
               return false;
            }
         } else if (!this.istodatabase.equals(other.istodatabase)) {
            return false;
         }

         if (this.location == null) {
            if (other.location != null) {
               return false;
            }
         } else if (!this.location.equals(other.location)) {
            return false;
         }

         if (this.mappingkey == null) {
            if (other.mappingkey != null) {
               return false;
            }
         } else if (!this.mappingkey.equals(other.mappingkey)) {
            return false;
         }

         if (this.structureid == null) {
            if (other.structureid != null) {
               return false;
            }
         } else if (!this.structureid.equals(other.structureid)) {
            return false;
         }

         if (this.taskid == null) {
            if (other.taskid != null) {
               return false;
            }
         } else if (!this.taskid.equals(other.taskid)) {
            return false;
         }

         if (this.wildcard == null) {
            if (other.wildcard != null) {
               return false;
            }
         } else if (!this.wildcard.equals(other.wildcard)) {
            return false;
         }

         return true;
      }
   }
}
